Getting Started
Trader Explorer
Hyperliquid Explorer
Trader Profile
Open Interest
Trader Board
Copy Trades
Copy Orders
Retrieve copy orders of copy position
curl --request GET \
--url https://api.copin.io/copy-positions/{id}/orders \
--header 'Authorization: <authorization>'{
"data": [
{
"price": 123,
"size": 123,
"pnl": 123,
"realisedPnl": 123,
"fee": 123,
"isLong": true,
"isIncrease": true,
"protocol": "<string>",
"txHash": "<string>",
"createdAt": "<string>"
}
]
}Authentication
This endpoint requires authentication using a JWT token in the Authorization header.
JWT token in the format: Authorization {token}
Path Parameters
Unique identifier of the copy position to retrieve orders for
Request Example
curl --request GET \
--url "https://api.copin.io/copy-positions/67fa2a77839d60c22debe83e/orders" \
--header 'Content-Type: application/json' \
--header 'Authorization: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VybmFtZSI6IjB4MTUzNTQ4NGMxRWVjMUQyMDNmRTFBNTNFQTExYTYyMWE4ODRBRTA2NyIsInRpbWUiOjE3NDQ2MjYxNjIzODksImFjY2VzcyI6IlVmTkNiTWhMVVMxNzQ0NjI2MTYyMzkwIiwiaWF0IjoxNzQ0NjI2MTYyLCJleHAiOjE3NDUyMzA5NjJ9.LpvhBdxyfehzom-v5tKumAqCptSMkVk7HVKKVtjSpk8'
Response
The API returns an array of order objects for the specified copy position, sorted by creation date (newest first).
Array of copy order objects
Price at which the order was executed
Size of the order
Profit and loss from this order
Realized profit and loss from this order
Fees paid for this order
Whether this is a long position (true) or short position (false)
Whether this order increases the position size (true) or decreases it (false)
Protocol used for this order
Transaction hash for the order
Timestamp when the order was created
Response Example
[
{
"price": 1591.31,
"size": 0.01,
"pnl": -0.02711068,
"realisedPnl": -0.018357980000000003,
"fee": -0.0087527,
"isLong": true,
"isIncrease": false,
"protocol": "AVANTIS_BASE",
"txHash": "0x82f26df0738da549e0491c298a4619da0b0b71797ce01a44ead626b2ea0ae240",
"createdAt": "2025-04-12T08:58:49.679Z"
},
{
"price": 1592.36,
"size": 0.01,
"pnl": 0.00875798,
"realisedPnl": 0.00875798,
"fee": -0.00875798,
"isLong": true,
"isIncrease": true,
"protocol": "AVANTIS_BASE",
"txHash": "0x317efa7839f5ab4fe6c6b81e5feb21d1c0909a0e6d0c833c2a9ebbe75e0327ae",
"createdAt": "2025-04-12T08:55:19.811Z"
}
]
curl --request GET \
--url https://api.copin.io/copy-positions/{id}/orders \
--header 'Authorization: <authorization>'{
"data": [
{
"price": 123,
"size": 123,
"pnl": 123,
"realisedPnl": 123,
"fee": 123,
"isLong": true,
"isIncrease": true,
"protocol": "<string>",
"txHash": "<string>",
"createdAt": "<string>"
}
]
}